org.gradle.api.publish.maven

## Interface MavenArtifact

- All Superinterfaces:
    Buildable

      @Incubating
      public interface MavenArtifact
      extends Buildable

  An artifact published as part of a `MavenPublication`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `builtBy(Object... tasks)` Registers some tasks which build this artifact.
    `String` | `getClassifier()` The classifier used to publish the artifact file.
    `String` | `getExtension()` The extension used to publish the artifact file, never `null`.
    `File` | `getFile()` The actual file contents to publish.
    `void` | `setClassifier(String classifier)` Sets the classifier used to publish the artifact file.
    `void` | `setExtension(String extension)` Sets the extension used to publish the artifact file.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getExtension

          String getExtension()

      The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

    - #### setExtension

          void setExtension(String extension)

      Sets the extension used to publish the artifact file.
      Parameters:
        `extension` - The extension.

    - #### getClassifier

          @Nullable
          String getClassifier()

      The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

    - #### setClassifier

          void setClassifier(@Nullable
                           String classifier)

      Sets the classifier used to publish the artifact file.
      Parameters:
        `classifier` - The classifier.

    - #### getFile

          File getFile()

      The actual file contents to publish.

    - #### builtBy

          void builtBy(Object... tasks)

      Registers some tasks which build this artifact.
      Parameters:
        `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.